// Warning: This probably isn't idiomatic JavaScript...
// MIT license
// Ian Rees 2019

var fib_term = 0;

function output(arg) {
    document.getElementById("output").innerHTML = arg;
}

function fib_update() {
    // The _fibonacci() method came from Rust!
    output("Term " + fib_term + " is " + _fibonacci(fib_term));
}

function key_up(event) {
    switch(event.key) {
        case "ArrowUp":
            fib_term++;
            fib_update();
            break;

        case "ArrowDown":
            if (fib_term > 0) {
                fib_term--;
            }
            fib_update();
            break;
    }
}

window.addEventListener("load", function() {
    document.activeElement.addEventListener("keyup", key_up);
    fib_update();
});
